Bug 22372 - krb5-libs-1.2.1-16 broke lpd
krb5-libs-1.2.1-16 broke lpd
Product: Red Hat Raw Hide
Classification: Retired
Component: krb5 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Wil Harris
Depends On:
  Show dependency treegraph
Reported: 2000-12-15 17:55 EST by Olivier Baudron
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-15 19:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2000-12-15 17:55:32 EST
I upgraded to krb5-libs-1.2.1-16. This broke lpd in LPRng-3.6.26-1:

#~ /etc/init.d/lpd start
/usr/sbin/checkpc: error while loading shared libraries: /usr/sbin/checkpc:
undefined symbol: stat
/usr/sbin/lpd: error while loading shared libraries: /usr/sbin/lpd:
undefined symbol: stat

Reinstalling krb5-libs-1.2.1-8 fixed the problem.
Comment 1 Olivier Baudron 2000-12-15 19:07:30 EST
Ooops, my bug report is a duplicate of bug #22195.
Nonetheless, I think it's a kerberos lib problem, not lpd/checkpc.
Therefore I let this bug open.
Comment 2 Nalin Dahyabhai 2001-01-15 21:56:23 EST
This was actually a bug in a previous version of krb5-libs, which should already
be resolved in Raw Hide by relinking affected binaries.

Note You need to log in before you can comment on or make changes to this bug.